Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161767 - rfe: add DB_BINNAMES to component.mk
Summary: rfe: add DB_BINNAMES to component.mk
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-27 05:57 UTC by Ulf Weltman
Modified: 2015-01-04 23:18 UTC (History)
2 users (show)

Fixed In Version: 8.0
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-05 17:16:33 UTC


Attachments (Terms of Use)

Description Ulf Weltman 2005-06-27 05:57:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050610 Firefox/1.0.4

Description of problem:
It would be useful to have a DB_BINNAMES (similar to SECURITY_BINNAMES) in components.mk so that we can override the filenames of the db_printlog and db_verify utilities.  Currently ldapserver/ldap/cm/Makefile is hardcoded to copy "db_printlog*" and "db_verify*".  In some systems these utilities are called "db4.2_printlog" and "db4.2_verify".

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Build on a host that has a system db-4.2 and supports multiple installed db versions in main /usr directories, for example Gentoo Linux.

  

Additional info:

Comment 2 Rich Megginson 2007-10-05 15:16:39 UTC
Is this still a problem with 8.0?

Comment 3 Ulf Weltman 2007-10-05 17:16:33 UTC
I don't think so, pretty sure I saw a macro for these.


Note You need to log in before you can comment on or make changes to this bug.